#  RPM spec file for watsup

Name:          watsup
Version:       3.0
Release:       1
Summary:       Monitor system resources and top processes
Group:         utils
Vendor:        kornelix
Packager:      kornelix@posteo.de
License:       GPL3
Source:        %{name}-%{version}.tar.gz
URL:           http://kornelix.com

%description
Monitor system resources and top processes.
Show key resources in a small window that can fit in a panel. 
Click to show a larger window with details of system resource 
loadings and the top processes using those resources. 
Shows CPU, memory, cache, hard/soft page faults, disk/net IO. 
Shows topmost processes fitting within the (resizable) window. 
Optionally show processes for a user, PID, or application. 
Select and kill an errant process.

%prep
%setup -q

%build
make

%install
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{name} 
/usr/share/%{name}
/usr/share/doc/%{name}
/usr/share/applications/%{name}.desktop
/usr/share/man/man1/%{name}.1.gz


